Bug 984927 - [webadmin] Host appears twice in hosts view
[webadmin] Host appears twice in hosts view
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
All All
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Martin Perina
Barak Dagan
infra
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 07:45 EDT by Gadi Ickowicz
Modified: 2016-02-10 14:32 EST (History)
11 users (show)

See Also:
Fixed In Version: is14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 02:08:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine logs and screenshot (540.00 KB, application/gzip)
2013-07-16 07:45 EDT, Gadi Ickowicz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17973 None None None Never

  None (edit)
Description Gadi Ickowicz 2013-07-16 07:45:15 EDT
Created attachment 774180 [details]
engine logs and screenshot

Description of problem:
After attempting to move a host from one datacenter to another (and failing with NullPointerException) the host appears twice in the hosts view. Selecting one host selects both of them. 

vds_static only has 3 entries (there are 3 distinct hosts in this setup):
engine=# SELECT vds_id from vds_static ;
                vds_id                
--------------------------------------
 eecec242-6e65-4fde-b3d5-16d750434c7a
 f87fa930-8a1f-4579-884e-df36a898cb5b
 d6fade3c-7bf7-4e7a-972e-205b41e993fb
(3 rows)



so does vds_dynamic:
engine=# SELECT vds_id from vds_dynamic;
                vds_id                
--------------------------------------
 eecec242-6e65-4fde-b3d5-16d750434c7a
 f87fa930-8a1f-4579-884e-df36a898cb5b
 d6fade3c-7bf7-4e7a-972e-205b41e993fb
(3 rows)

however vds_with_tags shows duplicate entry:
engine=# select vds_group_id, vds_id, host_name from vds_with_tags;
             vds_group_id             |                vds_id                |            host_name             
--------------------------------------+--------------------------------------+----------------------------------
 99408929-82cf-4dc7-a532-9d998063fa95 | d6fade3c-7bf7-4e7a-972e-205b41e993fb | cheetah02.scl.lab.tlv.redhat.com
 99408929-82cf-4dc7-a532-9d998063fa95 | d6fade3c-7bf7-4e7a-972e-205b41e993fb | cheetah02.scl.lab.tlv.redhat.com
 5423e080-e216-4794-877e-78f00cf4c24d | eecec242-6e65-4fde-b3d5-16d750434c7a | 10.35.64.153
 5423e080-e216-4794-877e-78f00cf4c24d | f87fa930-8a1f-4579-884e-df36a898cb5b | aqua-vds5.qa.lab.tlv.redhat.com
(4 rows)


Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.7.master.el6ev.noarch

How reproducible:
?

Steps to Reproduce:
1. Move host to another cluster / datacenter (ensure it fails)
2. Host is duplicated

Actual results:
host is duplicated in webadmin GUI

Note You need to log in before you can comment on or make changes to this bug.